<template>
  <div v-if="page_type == 'product'">
    <div class="container">
      <div class="row">
        <div class="col-sm-12">
          <div class="product-breadcrumb">
            <nav aria-label="breadcrumb">
              <ol class="breadcrumb" v-if="breadcrumbs.length > 0">
                <li class="breadcrumb-item" v-for="(breadcrumb, i) in breadcrumbs" :key="i"
                  :class="breadcrumb.disabled ? 'active' : ''" :aria-current="breadcrumb.disabled ? 'page' : ''">
                  <a :href="breadcrumb.href" v-if="!breadcrumb.disabled" replace>{{ breadcrumb.name }}</a>
                  <span class="grey--text" v-else>{{ breadcrumb.name }}</span>
                </li>
              </ol>
            </nav>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div v-else-if="page_type == 'cart_related'">
    
    <div class="container">
      <div class="row">
        <div class="col-sm-12 pt-0">
          <div class="inner-banner banner_with_spacing">
            <div class="banner_img"><img src="/front-end/images/cat_img.jpg"></div>
            <div class="banner_top_mask"><img src="/front-end/images/inner-banner.png"></div>
            <div class="banner_main_cont">
              <h1 class="h1">{{ category_name }}</h1>
              <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="/">Home</a></li>
                  <li>{{ category_name }}
                  </li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div v-else>
    <div class="container">
      <div class="row">
        <div class="col-sm-12">
          <div class="inner-banner">
            <div class="banner_img"><img src="/front-end/images/cat_img.jpg"></div>
            <div class="banner_top_mask"><img src="/front-end/images/inner-banner.png"></div>
            <div class="banner_main_cont">
              <div class="h1">{{ category_name }}</div>
              <nav aria-label="breadcrumb">
                <ol class="breadcrumb" v-if="breadcrumbs.length > 0">
                  <li class="breadcrumb-item" v-for="(breadcrumb, i) in breadcrumbs" :key="i"
                    :class="breadcrumb.disabled ? 'active' : ''" :aria-current="breadcrumb.disabled ? 'page' : ''">
                    <a :href="breadcrumb.href" v-if="!breadcrumb.disabled" replace>{{ breadcrumb.name }}</a>
                    <span class="grey--text" v-else>{{ breadcrumb.name }}</span>
                  </li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  props: ['breadcrumbs', 'category_name','page_type'],
}
</script>